Public Attributes | List of all members
_pkc_handle Struct Reference
Peripheral Driver » HAL Driver » PKC » Structures » PKC handle

PKC handle Structure definition. More...

`#include <gr55xx_hal_pkc.h>`

Collaboration diagram for _pkc_handle:
[legend]

## Public Attributes
pkc_regs_t * | p_instance
| PKC registers base address More...
pkc_init_t | init
| PKC operation parameters More...
void * | p_result
| Pointer to PKC result buffer More...
uint32_t | shift_count
| Count to left shift More...
uint32_t * | p_P
| Prime number More...
__IO hal_lock_t | lock
| Locking object More...
__IO hal_pkc_state_t | state
| PKC operation state More...
__IO uint32_t | error_code
| PKC Error code More...
uint32_t | timeout
| Timeout for the PKC operation More...
uint32_t | retention [1]
| pkc important register information. More...

## Detailed Description

PKC handle Structure definition.

Definition at line 133 of file gr55xx_hal_pkc.h.

## Member Data Documentation

## ◆ error_code

__IO uint32_t _pkc_handle::error_code

PKC Error code

Definition at line 149 of file gr55xx_hal_pkc.h.

## ◆ init

pkc_init_t _pkc_handle::init

PKC operation parameters

Definition at line 137 of file gr55xx_hal_pkc.h.

## ◆ lock

__IO hal_lock_t _pkc_handle::lock

Locking object

Definition at line 145 of file gr55xx_hal_pkc.h.

## ◆ p_instance

pkc_regs_t* _pkc_handle::p_instance

PKC registers base address

Definition at line 135 of file gr55xx_hal_pkc.h.

## ◆ p_P

uint32_t* _pkc_handle::p_P

Prime number

Definition at line 143 of file gr55xx_hal_pkc.h.

## ◆ p_result

void* _pkc_handle::p_result

Pointer to PKC result buffer

Definition at line 139 of file gr55xx_hal_pkc.h.

## ◆ retention

uint32_t _pkc_handle::retention[1]

pkc important register information.

Definition at line 153 of file gr55xx_hal_pkc.h.

## ◆ shift_count

uint32_t _pkc_handle::shift_count

Count to left shift

Definition at line 141 of file gr55xx_hal_pkc.h.

## ◆ state

__IO hal_pkc_state_t _pkc_handle::state

PKC operation state

Definition at line 147 of file gr55xx_hal_pkc.h.

## ◆ timeout

uint32_t _pkc_handle::timeout

Timeout for the PKC operation

Definition at line 151 of file gr55xx_hal_pkc.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_pkc.h